\section{Introduction}
\label{sec:Intro}
High-performance compute centers around the world are growing in size
in several ways:
In terms of number of systems on site, which makes it apparent that coordination
inside the center is of importance;
In terms of cluster size, which impacts single system power draw;
And lastly not forget power density, e.g. by component upgrade or use of 
accelerators, thus again impacting single system power draw.
With these factors in mind the Energy Efficient High-Performance Computing
Working Group (\EEHPCWG)~\cite{EEHPCWGweb} assembled a team looking in how centers
are managing job and resource managers in regards to the upcoming challenges of 
integrating energy and power awareness.
The \EEHPCWG Energy and Power Aware Job Scheduling and Resource Management (\EPAJSRM)
team identified several sites that first of all pursue
active research in Energy Management in the Job Scheduling and Resource
Management space, but most importantly, have a large system and are either
actively employing or in the phase of introducing such technology to their 
system(s).

With a geographically diverse, high-performance-computing landscape
the group tried to identify similarities and differences among the centers.
The survey spans from motivation to implementation, looking at system components 
impacted, user interaction and level of automation of the solution.
The questions try to be comprehensive in nature spanning a wide variety of 
information to give a clear picture and allow for improved decision making for 
other centers when trying to advance or introduce JSRM solutions themselves.

Each of the surveyed sites has a unique stand in terms of
funding structure, geographical as well as geopolitical situation.
The combination of these factors has a strong impact on the possibilities
and approaches the sites are willing to take and can take.
Without such survey and questionnaire, the agendas and conclusions that can be 
drawn stay hidden.

The survey conducted does not advocate a definite way for how HPC centers
should approach energy management from a scheduling and resource management
standpoint, but rather gives a comprehensive overview on information
provided by centers actively pursuing this approach in production sites
backed by research efforts and collaborations.

With a broad interest in EPA solutions, a lot of research is conducted in this 
area, which is broadly published.
In contrary technology that makes it into real production system is less
published on since the systems are then already verified and the relevant 
research questions should be answered by then. 
This makes it harder for the general research to identify missing opportunities 
and research opportunities.
Broad vendor engagement is seen as well, since energy efficiency is a key
concern for upcoming systems, with a focus on being either energy aware or
even a completely green center (according to the respective centers definition).
A lot of vendors try to incorporate EPA solutions in parts to their current portfolio, all 
emphasizing different aspects.
With funding agencies trying to keep low operational expenses the
introduction of limits to power consumption is sometimes even labeled with
a strict number.
This can be seen by initial exascale system forecasts and, current and
upcoming procurement announcements (e.g.~\cite{procLRZ2010}).
All these factors show a heightened interest in the area, in general, and
also as key components the use of job schedulers and resource management 
systems.

As a word of introduction similar analysis done by the \EEHPCWG in different
subfields should be highlighted.
To better understand Interaction of electrical grid integration and
supercomputing centers, Bates et al.~\cite{Bates2015} carried out an
analysis of anticipated usage patterns of supercomputing centers and how
these can be safely integrated into power grid management for better cost
and risk management.
The paper highlighted possible partnerships and interactions of Electricity
Service Providers (ESPs) and Supercomputing Centers (SCs).
An extension to the European area was conducted in a subsequent study by
Patki et al.~\cite{Patki2016}, focusing on the similarities and differences
of Electricity Service Provider-Supercomputing Center (ESP-SC) relationship
based on the geographic locations in Europe and the United States.
The focus of the cited work is again the interaction of demand management and SC
coordination, showing potentials, but also necessary regulatory and
technological steps.
A broader delimitation will following in the related work section.

The focus of this work is on steps and technological advances and approaches
taken by the supercomputing centers.
The work at hand focuses on single system scheduling or
batch scheduling systems and multi system resource management systems, to
monitor, control and steer power and energy consumption at the SCs.

The work at hand is structured as follows:
Section~\ref{Sec:Motiv} introduces a detailed insight on the motivation of
the \EEHPCWG \EPAJSRM team on the topic and why the survey was conducted.
Section~\ref{sec:Selection} gives an insight on selection criteria,
the sites selected, and the selection process, to clarify representation.
Section~\ref{sec:Questions} is the second main focus of this paper
highlighting the questions posed explaining the reasoning behind these.
Section~\ref{sec:Analysis} links the necessary next steps of the \EEHPCWG
for analysis and gives a short synopsis of the centers activities.
%introduces the necessary next steps of the
%\EEHPCWG to make the findings accessible to the community 
Section~\ref{sec:RelWork} gives a short overview of related work to
make clear how to position this work in the literature.
Finally, Section~\ref{sec:NextSteps} concludes the paper.

